Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## org.apache.openjpa.kernel
Enum DataCacheRetrieveMode

    java.lang.Object
      java.lang.Enum<DataCacheRetrieveMode>
          org.apache.openjpa.kernel.DataCacheRetrieveMode

All Implemented Interfaces:
  Serializable, Comparable<DataCacheRetrieveMode>

    public enum DataCacheRetrieveMode

extends Enum<DataCacheRetrieveMode>

DataCache Retrieve Modes.

Enum Constant Summary
`BYPASS` Ignore the DataCache and fetch data directly from the database.
`USE` Retrieve objects from the DataCache if a DataCache is enabled.

Method Summary
`static DataCacheRetrieveMode` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
`static DataCacheRetrieveMode[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### USE

    public static final DataCacheRetrieveMode USE

  Retrieve objects from the DataCache if a DataCache is enabled.

### BYPASS

    public static final DataCacheRetrieveMode BYPASS

  Ignore the DataCache and fetch data directly from the database.

Method Detail

### values

    public static DataCacheRetrieveMode[] values()

  Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

      for (DataCacheRetrieveMode c : DataCacheRetrieveMode.values())
          System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they are declared

### valueOf

    public static DataCacheRetrieveMode valueOf(String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `IllegalArgumentException` - if this enum type has no constant with the specified name
    `NullPointerException` - if the argument is null

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

Copyright © 2006-2013 Apache Software Foundation. All Rights Reserved.